/*
 * Java-Gnome Bindings Library
 *
 * Copyright 1998-2002 the Java-Gnome Team, all rights reserved.
 *
 * The Java-Gnome Team Members:
 *   Jean Van Wyk <jeanvanwyk@iname.com>
 *   Jeffrey S. Morgan <jeffrey.morgan@bristolwest.com>
 *   Dan Bornstein <danfuzz@milk.com>
 *
 * The Java-Gnome bindings library is free software distributed under
 * the terms of the GNU Library General Public License version 2.
 *
 * This file was orriginally generated by the Java-GNOME Code Generator
 * Please do not modify the code that is identified as generated.  Also,
 * please insert your code above the generated code.
 *
 * Generation date: 2002-08-08 07:28:06 EDT
 */

package org.gnu.gnome;
import org.gnu.gtk.Menu;
import org.gnu.gtk.*;
/**
 *
 */
public class PopupMenu extends Menu {
	
	/**
	 * Construct a new PopupMenu object.
	 */
	public PopupMenu(UIInfo [] uiinfos) {
		int [] hndls= new int[uiinfos.length];
		for (int i = 0; i < uiinfos.length; i++) {
			hndls[i] = uiinfos[i].getHandle();
		}
		handle = gnome_popup_menu_new(hndls);
		initializeEventHandlers();
	}
	
	/**
	 * Construct a new PopupMenu object.
	 */
	public PopupMenu(UIInfo [] uiinfos, AccelGroup accelGroup) {
		int [] hndls= new int[uiinfos.length];
		for (int i = 0; i < uiinfos.length; i++) {
			hndls[i] = uiinfos[i].getHandle();
		}
		handle = gnome_popup_menu_new_with_accelgroup(hndls, accelGroup.getHandle());
		initializeEventHandlers();
	}
	
	protected void noopInit() {
	}
	
	/**
	 * Return the AccelGroup associated with this PopupMenu.
	 */
	public AccelGroup getAccelGroup() {
		return new AccelGroup(gnome_popup_menu_get_accel_group(handle));
	}
	
	/**
	 * Attach this menu to a Widget.
	 */
	public void attach(Widget widget) {
		gnome_popup_menu_attach(handle, widget.getHandle(), 0);
	}
	
	/**
	 * Append new menu items to the PopupMenu.
	 */
	public void append(UIInfo [] uiinfos) {
		int [] hndls= new int[uiinfos.length];
		for (int i = 0; i < uiinfos.length; i++) {
			hndls[i] = uiinfos[i].getHandle();
		}
		gnome_popup_menu_append(handle, hndls);
	}

	/****************************************
	 * BEGINNING OF GENERATED CODE
	 ****************************************/
	native static final protected int gnome_popup_menu_new(int[] uiinfo);
	native static final protected int gnome_popup_menu_new_with_accelgroup(int[] uiinfo, int accelgroup);
    native static final protected int gnome_popup_menu_get_accel_group (int menu);
    native static final protected void gnome_popup_menu_attach (int menu, int widget, int userData);
    native static final protected void gnome_popup_menu_append (int menu, int [] uiinfo);
	/****************************************
	 * END OF GENERATED CODE
	 ****************************************/
}
